require 'thor'

module LogicBomb
  module Generators
    class ConfigGen < Thor::Group
      include Thor::Actions

      def self.source_root
        File.expand_path(File.join(File.dirname(__FILE__), '../templates'))
      end

      def copy_template
        template("config.yml", "./config.yml")
        puts "Created your config."
        puts "It's much smarter to use environment variables for your passwords,"
        puts "so by default the mail password is retrieved from LOGICBOMB_MAIL_PASSWORD."
        puts "Export that var and then set up the rest of your config."
      end
    end
  end
end
